
Ruby - Bug #2767

YAML bug

02/20/2010 05:33 PM - TimHaines (Tim Haines)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.8.7 (2009-06-12 patchlevel 174)

[i686-darwin9.8.0], MBARI 0x8770, Ruby

Enterprise Edition 20090928

Backport:  

Description

=begin

Start IRB, run:

require 'yaml'; YAML.load({"x"=>"\r\n P\r\nA"}.to_yaml)

result:

ArgumentError: syntax error on line 4, col 2:  A' from /opt/ruby-enterprise-1.8.6-20090610/lib/ruby/1.8/yaml.rb:133:inload'

from /opt/ruby-enterprise-1.8.6-20090610/lib/ruby/1.8/yaml.rb:133:in `load'

from (irb):2

This happens in Ruby 1.87 174 and in Ruby 1.9.1

=end

Related issues:

Has duplicate Ruby - Bug #1311: YAML::dump creates strings YAML::load cannot ... Closed 03/24/2009

History

#1 - 02/20/2010 05:44 PM - daz (Dave B)

=begin

Already reported at http://redmine.ruby-lang.org/issues/show/1311

=end

#2 - 02/22/2010 08:26 PM - naruse (Yui NARUSE)

- Priority changed from 6 to Normal

=begin

=end

#3 - 04/09/2010 01:41 AM - mame (Yusuke Endoh)

- Status changed from Open to Closed

=begin

Hi,

Syck is deprecated, in effect.  This issue won't be fixed.

Instead, try Psych.  [ruby-core:29337]

--

Yusuke Endoh mame@tsg.ne.jp

=end
